﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<Campaign>


@(
 Html.Grid(Model).Named("AllCampaign").Columns(columns =>
 {
     columns.Add(x => x.Code)
         .Titled("Code")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Code.ToString()).Filterable(true);

     columns.Add(x => x.Name)
         .Titled("Name")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Name).Filterable(true);

     columns.Add(x => x.StartDate)
         .Titled("Start Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => (x.StartDate.HasValue) ? x.StartDate.Value.ToString("dd-MM-yyyy HH:mm") : string.Empty);

     columns.Add(x => x.EndDate)
         .Titled("End Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => (x.EndDate.HasValue) ? x.EndDate.Value.ToString("dd-MM-yyyy HH:mm") : string.Empty);

     columns.Add(x => x.Type)
         .Titled("Type")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Type).Filterable(true);

     columns.Add(x => x.Value)
         .Titled("Value")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Value.ToString()).Filterable(true);

     columns.Add(x => x.IsActive)
         .Titled("IsActive")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.IsActive.ToString()).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Campaign.Edit(x.ID))));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.Campaign.Delete(x.ID)), x.Name));

     //columns.Add()
     //    .Encoded(false)
     //    .Sanitized(false)
     //    .SetWidth(50)
     //    .Css("cell-center")
     //.RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Add Action</a>", Url.Action(MVC.CampaignAction.Add(x.ID))));

     //columns.Add()
     //    .Encoded(false)
     //    .Sanitized(false)
     //    .SetWidth(50)
     //    .Css("cell-center")
     //.RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">View Action</a>", Url.Action(MVC.CampaignAction.Index(null, x.ID))));

 }).Filterable()
.Sortable()
.WithPaging(5)
)
